#include <stdio.h>
#include <string.h>

int doSomething(char* input){
	char buf[512];
	strcpy(buf, input);
	printf("Copied the following input to the buffer:\n %s\n", buf);
}

int main(int argc, char *argv[]){
	doSomething(argv[1]);
	return 0;
}
